Google Gemma 3 27B Instruct
Gemma 3 introduces multimodality, supporting vision-language input and text outputs. It handles context windows up to 128k tokens, understands over 140 languages, and offers improved math, reasoning, and chat capabilities, including structured outputs and function calling. Gemma 3 27B is Google’s open source model, successor to Gemma 2.
Input / output
$0.12 / $0.20
per 1M tokens
Context
198K
16K max output
Reasoning
None
answers directly
Cached input
—
no prompt caching
Modalities
Text, image
out: text
Pricing
USD per 1M tokensInput
$0.12
Output
$0.20
| Similar models | Input | Output |
|---|---|---|
| Google Gemma 3 27B Instruct | $0.12 | $0.20 |
| OpenAI GPT OSS 120B | $0.07 | $0.30 |
| Mistral Small 3.2 24B Instruct | $0.0938 | $0.25 |
| NVIDIA Nemotron 3 Nano 30B | $0.075 | $0.30 |
| GLM 4.7 Flash Heretic | $0.07 | $0.40 |
Specs
- Model ID
google-gemma-3-27b-it- Endpoint
POST /api/v1/chat/completions- Context window
- 198,000 tokens
- Max output
- 16,384 tokens
- Reasoning effort
- No separate reasoning phase
- Served precision
- FP8
- Added
- Nov 4, 2025
- Weights
- Open
Capabilities
Modalities
- Text
- Input and output
- Image
- Input only · up to 10
- Audio
- Not supported
- Video
- Not supported
Features
- Streaming (SSE)
- Supported
- Function calling
- Supported
- Structured output (json_schema)
- Supported
- Reasoning effort
- Not supported
- Prompt caching
- Not supported
- Web search
- venice_parameters
- X search
- Not supported
- Log probabilities
- Not supported
- Fine-tuning
- Not supported
- Image generation
- Not supported
POST
/api/v1/chat/completionsRecommendedcurl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "google-gemma-3-27b-it",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }]
}'Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available